bab.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Search::BabBuilder< T >
| A BAB engine builder. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Search
| Search engines

## Functions

Engine * | Gecode::Search::babengine (Space *s, const Options &o)
| Create branch and bound engine.
template<class T>
T * | Gecode::bab (T *s, const Search::Options &o=Search::Options::def)
| Perform depth-first branch-and-bound search for subclass T of space s and options o.
template<class T>
SEB | Gecode::bab (const Search::Options &o=Search::Options::def)
| Return a depth-first branch-and-bound search engine builder.